accumulo-notifications mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "ASF subversion and git services (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (ACCUMULO-1814) LogSorter cannot read WAlogs from 1.5
Date Mon, 28 Oct 2013 14:13:32 GMT

    [ https://issues.apache.org/jira/browse/ACCUMULO-1814?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=13806786#comment-13806786
] 

ASF subversion and git services commented on ACCUMULO-1814:
-----------------------------------------------------------

Commit 8730d5cef37f301fc3f204a48e6af63c32a4f207 in branch refs/heads/master from [~mallen]
[ https://git-wip-us.apache.org/repos/asf?p=accumulo.git;h=8730d5c ]

ACCUMULO-1814 Fixes WALog reading issue from 1.5

WALogs from 1.5.0 use a slightly different format than WALogs
from 1.6.0.  Consequently, the code to read WALogs from 1.6.0
doesn't work on files from 1.5.0.  I made changes to
DFSLogger to correctly interpret 1.5.0 based log files,
and increments the log version number to 3, so that
the WALog reading code can correctly identify what type of
file we're dealing with.

This may still require more testing especially with encryption
turned on but for now this will do.

Signed-off-by: Eric Newton <eric.newton@gmail.com>


> LogSorter cannot read WAlogs from 1.5
> -------------------------------------
>
>                 Key: ACCUMULO-1814
>                 URL: https://issues.apache.org/jira/browse/ACCUMULO-1814
>             Project: Accumulo
>          Issue Type: Bug
>          Components: tserver
>            Reporter: Eric Newton
>            Assignee: Michael Allen
>            Priority: Blocker
>             Fix For: 1.6.0
>
>         Attachments: ACCUMULO-1814.patch
>
>
> While working on the upgrade code for 1.6.0-SNAPSHOT, I got a version check failure on
reading a 1.5 WAL.
> Yikes!



--
This message was sent by Atlassian JIRA
(v6.1#6144)

Mime
View raw message